<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RPresenceUser StructType
 * @subpackage Structs
 */
class RPresenceUser extends AbstractStructBase
{
    /**
     * The userid
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $userid;
    /**
     * The server
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $server;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RPresenceUser
     * @uses RPresenceUser::setUserid()
     * @uses RPresenceUser::setServer()
     * @uses RPresenceUser::setUuid()
     * @param string $userid
     * @param string $server
     * @param string $uuid
     */
    public function __construct($userid = null, $server = null, $uuid = null)
    {
        $this
            ->setUserid($userid)
            ->setServer($server)
            ->setUuid($uuid);
    }
    /**
     * Get userid value
     * @return string|null
     */
    public function getUserid()
    {
        return $this->userid;
    }
    /**
     * Set userid value
     * @param string $userid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RPresenceUser
     */
    public function setUserid($userid = null)
    {
        $this->userid = $userid;
        return $this;
    }
    /**
     * Get server value
     * @return string|null
     */
    public function getServer()
    {
        return $this->server;
    }
    /**
     * Set server value
     * @param string $server
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RPresenceUser
     */
    public function setServer($server = null)
    {
        $this->server = $server;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RPresenceUser
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
